#ifndef __ARGS_H_
#define __ARGS_H_

#include "board.h"
#include "gridsim.h"

/* each of the following functions takes a string with ' ' delimited arguments 
   and returns a tuple in the form of ints and a board (which is inputted in fen notation). */

extern *(move,int,int,int,boardt) grid_jam_args(string input);
extern *(int,move,int,int,int,boardt)  grid_jam_args2(string input);


/* these take a arguments and return a string form, with each argument separated by
   a ' '. */
extern string string_of_args(move m, int n, int a, int b, boardt board);
extern string string_of_args2(int bigb, move m, int n, int a, int b, boardt b);
extern string string_of_args_2(int state,move m, int n, int a, int b, boardt board);
extern string string_of_args2_2(int state,int bigb, move m, int n, int a, int b, boardt b);

#endif
