#ifndef __PLAYER_H_
#define __PLAYER_H_

#include "board.h"
#include "gridsim.h"

#define DEBUG 1
#define MINI -1
#define MAXI 1 
#define INF 0x7FFFFFF
#define MAXMOVES 300

extern move get_next_move(boardt board, int n);
extern move prompt_next_move(boardt board, int n);
extern int get_promotion(boardt board, int x, int y);
extern int evaluate(boardt board);
extern move search(boardt board,int n);
extern int scout(boardt board, int n,  int alpha, int beta);
extern int nummoves(boardt board);



#endif
