#ifndef __PLAYER_H_
#define __PLAYER_H_

#include "board.h"

#define DEBUG 0
extern int debug;
#define MINI -1
#define MAXI 1 
#define INF 0x7FFFFFF

move get_next_move(const boardt * board);
move prompt_next_move(const boardt * board);

int promote(const boardt * board, int x, int y,int simulation);
int prompt_promotion(const boardt * board, int x, int y);
int get_promotion(const boardt * board, int x, int y);
int evaluate(boardt* board);
move search(const boardt * board);
int scout(boardt* board,int n, int minormax, int a, int b);
int scout2(boardt* board, int n,  int alpha, int beta);
int nummoves(const boardt* board);

//int (*whitepromo) (const boardt *, int, int);
//int (*blackpromo) (const boardt *, int, int);


#endif
